Problèmes et questions sur les applications multimédia.

[Aur] Encore une fois ...ffdiaporama impossible à installer

#21Messageil y a 2 ans

lemust83 a écrit :Bon, j'y suis arrivé, mais pas mal de trucs m'échappent... :confus:
En premier , j'ai téléchargé les sources de ffdiaporama depuis Aur:

yaourt -G ffdiaporama     ###un dossier ffdiaparama contenant le PKBUILD et autres se crée dans le $HOME
cd ffdiaporama
makepkg

Le paquet ffdiaporama-2.2.D759-3-x86_64.pkg.tar.xz se crée correctement après une longue compilation.
Deux possibilités:
1) ffdiaporama n'a jamais été installé :

sudo pacman -U ffdiaporama-2.2.D759-3-x86_64.pkg.tar.xz


2) On l'a déjà installé et on a un conflit de fichiers. Pacman ne trouve pas le binaire pourtant il existe dans /usr/bin et on ne peut rien faire ...
Mettre à jour la base de donnée de <locate>

sudo updatedb
[steph@manjaro ffdiaporama]$ locate ffDiaporama
/home/steph/.macromedia/.local/share/Trash/files/.ffDiaporama
/home/steph/.macromedia/.local/share/Trash/files/.ffDiaporama/Devices.xml
/home/steph/.macromedia/.local/share/Trash/files/.ffDiaporama/LOCALEVERSION.TXT
/home/steph/.macromedia/.local/share/Trash/files/.ffDiaporama/Thumbnails
/home/steph/.macromedia/.local/share/Trash/files/.ffDiaporama/Titles
/home/steph/.macromedia/.local/share/Trash/files/.ffDiaporama/WIKIVERSION.TXT
/home/steph/.macromedia/.local/share/Trash/files/.ffDiaporama/ffDiaporama.xml
/home/steph/.macromedia/.local/share/Trash/files/.ffDiaporama/ffDiaporama_fr.qm
/home/steph/.macromedia/.local/share/Trash/files/.ffDiaporama/ffdiaporama.db
/home/steph/.macromedia/.local/share/Trash/files/.ffDiaporama/fr_VERSION.TXT
/home/steph/.macromedia/.local/share/Trash/files/.ffDiaporama/fr_WIKIVERSION.TXT
/home/steph/.macromedia/.local/share/Trash/files/.ffDiaporama/qt_fr.qm
/home/steph/.macromedia/.local/share/Trash/files/.ffDiaporama/wiki_fr.qch
/home/steph/.macromedia/.local/share/Trash/files/.ffDiaporama/wiki_fr.qhc
/home/steph/.macromedia/.local/share/Trash/files/.ffDiaporama/Titles/16_9
/home/steph/.macromedia/.local/share/Trash/files/.ffDiaporama/Titles/40_17
/home/steph/.macromedia/.local/share/Trash/files/.ffDiaporama/Titles/4_3
/home/steph/.macromedia/.local/share/Trash/info/.ffDiaporama.trashinfo
/usr/bin/ffDiaporama
/usr/share/ffDiaporama
/usr/share/applications/ffDiaporama.desktop
/usr/share/ffDiaporama/BUILDVERSION.txt
/usr/share/ffDiaporama/Devices.xml
/usr/share/ffDiaporama/authors.txt
/usr/share/ffDiaporama/changelog-en.txt
/usr/share/ffDiaporama/changelog-fr.txt
/usr/share/ffDiaporama/ffDiaporama.xml
/usr/share/ffDiaporama/licence.rtf
/usr/share/ffDiaporama/licences.txt
/usr/share/ffDiaporama/locale
/usr/share/ffDiaporama/readme.txt
/usr/share/ffDiaporama/locale/wiki_en.qch
/usr/share/ffDiaporama/locale/wiki_en.qhc
/usr/share/mime/packages/ffDiaporama-mime.xml

Et là on vire tout à la pogne en Terminal sauf pour ce qui est dans le /home qui peut rester ou être viré en graphique.
Je sais, ce n'est pas très esthétique, mais pour une raison que j'ignore encore pacman ne reconnaît pas ce paquet et on est coincé. :saispas:

sudo rm -r /usr/share/ffDiaporama/
sudo rm /usr/bin/ffDiaporama
sudo rm /usr/share/applications/ffDiaporama.desktop
sudo rm /usr/share/icons/hicolor/32x32/apps/ffdiaporama.png
sudo rm /usr/share/mime/packages/ffDiaporama-mime.xml

Et on retente

sudo pacman -U ffdiaporama-2.2.D759-3-x86_64.pkg.tar.xz


Et là, si on lance en terminal ffDiaporama avec un "D" majuscule, ça marche :bien
Sous Xfce , le lanceur est dans Multimédia.

Image

Pfffuuuu comme qui dirait :clindoeil:


:clap:clap:clap
Bravo Mr lemust83
:maître::maître:
Effectivement c'est OK et il marche maintenant !
Super Nickel.
ET encore Merci pour ce super Boulot.

:merci::merci:
Surtout que sur leur forum il m'a été répondu que sous Arch il fonctionnait .... :saispas:

[Aur] Encore une fois ...ffdiaporama impossible à installer

#22Messageil y a 2 ans

:bien
Il faut que je prenne le temps de bien scruter le PKGBUILD. Il n'y a pas de fonction replace().
L'ancienne version ne devait pas être non plus au top, du coup il se comporte comme si on l'avait installé à la main et pacman ne le connaît pas.... :colère:
Là au moins, il est reconnu 8-)

[Aur] Encore une fois ...ffdiaporama impossible à installer

#23Messageil y a 2 ans

lemust83 a écrit ::bien
Il faut que je prenne le temps de bien scruter le PKGBUILD. Il n'y a pas de fonction replace().
L'ancienne version ne devait pas être non plus au top, du coup il se comporte comme si on l'avait installé à la main et pacman ne le connaît pas.... :colère:
Là au moins, il est reconnu 8-)

Alors ...oui je sais quand même ce qu'est un PKGBUILD mais si tu me parles de "fonction replace()" c'est un peu comme si tu me demandais de traduire:
Le must83 谢谢你
ou
Lemust83 xièxiè nǐ

sauf que là avec l'aide de google tu vas pouvoir trouver que l'un ou l'autre veulent dire : ... " MERCI Lemust83 " en Chinois. :rigole:

[Aur] Encore une fois ...ffdiaporama impossible à installer

#24Messageil y a 2 semaines

Désolé de déterrer un vieux topic, mais j'ai le même problème. J'ai suivi les conseils de Lemust83 mais rien n'y fait... et rien ne se compile en plus... (je pense qu'il y a une erreur de lien quelque part). Dommage qu'il soit "discontinued" car ce logiciel me semble assez génial.

[Aur] Encore une fois ...ffdiaporama impossible à installer

#25Messageil y a 2 semaines

Bonjour.
La page du paquet sur Aur donne à la fin:
First Submitted: 2011-09-14 09:43
Last Updated: 2016-06-20 21:41
Qt a depuis bien évolué et même les sources les plus récentes remontent à 2014....
Ite missa est Image

[Aur] Encore une fois ...ffdiaporama impossible à installer

#26Messageil y a 2 semaines

:salut:

oui, les commentaires indiquent depuis un moment un problème à la compilation, le programme a été écrit pour une version trop ancienne de ffmpeg

A voir les alternatives:saispas:
ps: un petit nouveau (15 jours!) olive ??? PKGBUILD aur pas à jour mais existe en appimage ...

[Aur] Encore une fois ...ffdiaporama impossible à installer

#27Messageil y a 1 semaine

Merci pour vos réponses. Désolé, je n'avais pas reçu de notification pour la bonne raison que j'avais oublié de cocher "M’avertir lorsqu’une réponse est postée". Je vais voir ça.
Autre question: comment fait-on pour accéder aux commentaires dans yaourt ou yay? (bon, je reconnais que je n'ai pas vraiment cherché)
Edit: 10:10 (UTC-4)
Dans les alternatives, il y a Openshot que j'utilise déjà pour monter mes vidéos et que j'apprécie. Je vais toutefois essayer Olive, mais je crains qu'il soit difficile à prendre en main... À moins de trouver un tuto.

$ yaourt -S olive

Edit: 11:11
Ça commence bien! Pas moyen de trouver un tuto en Français ni même en Anglais alors que j'en trouve à la pelle pour Ffdiaporama? Page tuto d'Olive: https://www.olivevideoeditor.org/tutorials.php "Coming soon...". Par contre, j'ai trouvé des tutos pour préparer ses olives soi-même :lol:
Bon, je pense que ça va se terminer par une désinstallation...
DÉSINSTALLÉ!

[Aur] Encore une fois ...ffdiaporama impossible à installer

#28Messageil y a 6 jours

Salut,
Nettlebay a écrit :
il y a 1 semaine
Autre question: comment fait-on pour accéder aux commentaires dans yaourt ou yay? (bon, je reconnais que je n'ai pas vraiment cherché)
Ça commence bien! Pas moyen de trouver un tuto en Français ni même en Anglais alors que j'en trouve à la pelle pour Ffdiaporama? Page tuto d'Olive: https://www.olivevideoeditor.org/tutorials.php "Coming soon...". Par contre, j'ai trouvé des tutos pour préparer ses olives soi-même :lol:
Bon, je pense que ça va se terminer par une désinstallation...
DÉSINSTALLÉ!
Yaourt et yay n'ont pas d'option spécifique pour afficher les commentaires, trizen peut le faire avec l'option -C. Si tu cherches un outil pour seulement faire du diaporama, 4kslideshowmaker pourrait répondre à tes besoins, il se trouve dans AUR, par contre c'est un logiciel propriétaire.

[Aur] Encore une fois ...ffdiaporama impossible à installer

#29Messageil y a 6 jours

et oui, si en console, faire un -Si et cliquer (+CTRL) sur le lien aur

Pour olive : je notais uniquement que c'était un petit nouveau avec 15 jours d’existence ... donc tout à fait normal qu'aucun tuto ne soit encore présent et je n'ai aucune idée si il fonctionne déjà bien ( mais vu son age, j'ai des doutes )

[Aur] Encore une fois ...ffdiaporama impossible à installer

#30Messageil y a 6 jours

@Papajoke: il semble assez bugué d'après mes lectures...
@Smurf: Ben si, on voit parfois apparaître des commentaires lors de l'installation via Yaourt avec yaourt -S paquet. Je vais faire un test et je vous l'envoie...
Voilà:

$ yaourt -S 4kslideshowmaker

==> Téléchargement du PKGBUILD de 4kslideshowmaker depuis AUR...
x .SRCINFO
x 4kslideshowmaker.desktop
x 4kslideshowmaker.png
x PKGBUILD
Muflone commented on 2013-11-18 14:43			 
I'm sorry but I cannot update this package to the version 1.3 because it would miss the libjpeg.so.9 library which is not yet present in the official repositories.
Whenever such library will reach the official repository I'll update this package.

Muflone commented on 2014-01-19 22:59			 
Package updated using the libjpeg9 package from the AUR

EgLe commented on 2016-03-21 12:08			 
Hello,

sorry is not up to date :-((

Muflone commented on 2016-03-26 22:25			 
@EgLe
The latest version on the 4k website results to be the same for this package
https://www.4kdownload.com/download

Sam-Burgos commented on 2018-12-02 17:14			 

4kslideshowmaker 1.7.1.978-1  (2018-08-26 17:04)
( Paquet non supporté : peut être dangereux ! )
==> Éditer PKGBUILD ? [O/n] ("A" pour annuler)
==> ------------------------------------------

Précision: parfois, il est indiqué que "Somebody commented on..." mais on ne voit pas le commentaire. Cette fois on les voit. Bon, peut-être que j'avais zappé trop vite... :-P
Modifié en dernier par Nettlebay le 17 Fév 2019, 21:37, modifié 1 fois.

[Aur] Encore une fois ...ffdiaporama impossible à installer

#31Messageil y a 4 jours

Nettlebay a écrit :
il y a 6 jours

@Smurf: Ben si, on voit parfois apparaître des commentaires lors de l'installation via Yaourt avec yaourt -S appli.
Oui, mais ça oblige à simuler une installation, pour yay ça demande de passer par -Si, avec trizen, c'est direct et ça n'affiche rien d'autre :

trizen -C 4kslideshowmaker

:: Package: 4kslideshowmaker
:: AUR URL: https://aur.archlinux.org/packages.php?ID=538527

Comment by Muflone on 2013-06-30 01:16
First package release

Comment by Muflone on 2013-09-25 08:35
Added ffmpeg-compat2 compatibility package to fix ffmpeg libav version 54 lacking

Comment by Muflone on 2013-11-18 14:43
I'm sorry but I cannot update this package to the version 1.3 because it would miss the libjpeg.so.9 library which is not yet present in the official repositories.
Whenever such library will reach the official repository I'll update this package.

Comment by Muflone on 2014-01-19 22:59
Package updated using the libjpeg9 package from the AUR

Comment by EgLe on 2016-03-21 12:08
Hello,

sorry is not up to date :-((

Comment by Muflone on 2016-03-26 22:25
@EgLe
The latest version on the 4k website results to be the same for this package
https://www.4kdownload.com/download

Comment by Sam-Burgos on 2018-12-02 17:14
Greetings, is it possible that you can add "qt5-3d" as dependency on this package? When I first try to open the program, it fails with "error while loading shared libraries: libQt5Qml.so.5: cannot open shared object file: No such file or directory" and installing qt5-3d (at least that is how it appears after searching on Antergos and Manjaro) solves the problem

[Aur] Encore une fois ...ffdiaporama impossible à installer

#32Messageil y a 4 jours

Pour ceux qui veulent installer 4kslideshowmaker: attention, ça installe pas mal de choses en plus et c'est donc assez long. Mais je n'ai pas eu d'erreurs graves. Je ne sais pas ce qu'il vaut car je ne l'ai essayé que superficiellement.
.

Répondre